Subject: Re: problem with diffutils
From: "Gerrit P. Haase" <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 May 2002 20:07:54 +0200

Eric schrieb:

> Is anyone else experiencing this? Today I updated to the new
> diffutils-2.8.1-1, and now I can't perform diff on files:

> $ echo line 1 > a.txt
> $ echo line 2 >> a.txt
> $ echo line 2 >> b.txt
> $ echo line 3 >> b.txt
> $ cat a.txt b.txt
> line 1
> line 2
> line 2
> line 3
> $ diff a.txt b.txt
> diff: a.txt: Invalid argument
> $ diff -- a.txt b.txt
> diff: a.txt: Invalid argument

> As the same version of diff is working fine on my Linux box, I suspect
> there is a cygwin-related bug.

This is the old version (diff):

$ diff a.txt b.txt
1d0
< line 1
2a2
> line 3

This is the latest version (diffutils):

$ diff a.txt b.txt
1d0
< line 1
2a2
> line 3

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/